List Finance Accounts
Retrieve a paginated list of clinic accounts with financial summaries. Lab-only. Shows total invoiced, paid, outstanding, overdue, and credit balance per partner clinic.
Retrieve a paginated list of clinic accounts with financial summaries. Lab-only. Shows total invoiced, paid, outstanding, overdue, and credit balance per partner clinic.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
page?integer
Range
0 < valueDefault
1limit?integer
Range
0 < value <= 100Default
20search?string
sortBy?string
Default
"clinicName"Value in
- "clinicName"
- "outstanding"
- "totalInvoiced"
- "lastPaymentDate"
sortOrder?string
Default
"asc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
curl -X GET "https://example.com/finances/accounts"{ "data": [ { "partnershipId": "string", "partnershipStatus": "string", "clinicId": "string", "clinicName": "string", "clinicNameMissing": true, "currency": "string", "totalInvoiced": "string", "totalPaid": "string", "outstanding": "string", "overdue": "string", "creditBalance": "string", "lastPaymentDate": "string", "invoiceCount": 0, "hasActivity": true } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}{ "error": "string"}